
// store and recall presets

void P_read_knobs() {

  // M_displayDelay --;

  psknob = EncodeReadN(); // set Preset number

  if (psknob != 0 && time - last_read_M > read_delay)
  {
    // set preset number and check it's within between 1 and 8

    Preset_number = Preset_number + psknob;
    if (Preset_number > 8) {
      Preset_number = 8;
    }
    if (Preset_number < 1) {
      Preset_number = 1;
    }

    last_read_M = millis();
     // set starting point of preset save or recall, offset by one preset size for working storage
    Preset_offset = (Preset_number * Preset_size) + 1;
    dots_octave = B11011011;                       //set row 8 to preset function warning
    dots = Preset_number;
    barGraph();                                    //Display preset number on row 7 solid line on 8
  }
}

// END
